classification
Title: Resort Misc/NEWS
Type: enhancement Stage: committed/rejected
Components: Documentation Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: christian.heimes, docs@python, eric.araujo, ezio.melotti, georg.brandl, gregory.p.smith, ned.deily, pitrou, python-dev, sbt, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2013-02-17 21:15 by serhiy.storchaka, last changed 2013-10-18 14:06 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
NEWS-3.4.patch serhiy.storchaka, 2013-02-17 21:15 Patch for 3.4 review
NEWS-3.4_2.patch serhiy.storchaka, 2013-02-18 11:16 Patch for 3.4 review
NEWS-3.4_3.patch serhiy.storchaka, 2013-02-18 17:32 review
NEWS-3.4_4.diff terry.reedy, 2013-04-04 00:53 2 more fixes
NEWS-3.4_5.patch serhiy.storchaka, 2013-04-07 12:30 Patch for 3.4 review
NEWS-3.3.patch serhiy.storchaka, 2013-04-07 12:32 Patch for 3.3 review
Messages (20)
msg182282 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-17 21:15
The proposed patch moves some Misc/NEWS entities to more appropriate sections (IDLE, C-API, Tests, Documentation, Tools/Demos). Please review.
msg182287 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-17 22:07
unittest is a library, not a part of the test suite, so its enhancements should remain in the library section.
msg182295 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-18 04:18
kbk has requested in the past that IDLE News items be put in Lib/idlelib/News.txt because it is installed with IDLE and there is a button to display it included in the "About IDLE" window.  I know we've not been diligent about doing that, at least, I haven't.  I suppose the items could continue to be put in Misc/NEWS and, prior to each release, copied into the News.txt.  That step could be added to the release manager's checklist.  But, if there are IDLE items in Misc/NEWS, whether duplicated or not, I agree it would be better to have them in their own section.
msg182313 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-18 11:16
Here is an updated patch. Changes for unittest and doctest reverted.
msg182317 - (view) Author: Richard Oudkerk (sbt) * (Python committer) Date: 2013-02-18 12:14
I did not realize there was a 'Extension Modules' section.  I have been putting changes to C extensions in the 'Library' section instead.  It looks like most people do the same as me.
msg182318 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-18 12:47
> I did not realize there was a 'Extension Modules' section.  I have
> been putting changes to C extensions in the 'Library' section
> instead.  It looks like most people do the same as me.

I prefer "Library" as well. I think the "Extension Modules" section
should be yanked.
msg182319 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-18 13:11
Was not it be yanked in 1fabff717ef4?
msg182325 - (view) Author: Richard Oudkerk (sbt) * (Python committer) Date: 2013-02-18 15:01
> Was not it be yanked in 1fabff717ef4?

Looks like it was reintroduced by this merge changeset:

    http://hg.python.org/cpython/rev/30fc620e240e
msg182328 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2013-02-18 17:03
re-yank it.  that was unintentional.  less sections == better.
msg182330 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-18 17:32
Here is an updated patch. Re-yanked "Extension Modules" section. Changes for 3.4 sorted in chronological order.
msg185979 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-04-03 23:43
Serhiy, can you update and commit the patch?
A new IDLE section would be especially useful for #17506.
msg185983 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-04-04 00:36
Has anyone checked that the last patch is basically correct?
Which is to say, does every entry removed get put back someplace?

I tried to import the last patch, NEWS-3.4_3.patch
73/74 chumks were applied, 1 rejected, which can be hand edited.
I am willing to do that if the sanity check has been done.
(I personally would have done this in multiple patches, like moving only IDLE issues for one patch, that would have been easier to check.)
msg185985 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-04-04 00:47
That was easy. The .patch has a space at the end of this line:
- Issue #17028: Allowed Python arguments to be supplied to the Windows
which the file, of course, does not. That removed and it applies cleanly.
msg185988 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-04-04 00:53
There is also this double entry before and after the patch. This is current patch with space and duplicate removed.

- Issue #15116: Remove references to appscript as it is no longer being
  supported.

- Issue #15116: Remove references to appscript as it is no longer being
  supported.
msg186199 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-07 12:30
Thank you, Terry. Here is a new version of a patch for 3.4. New entries move, IDLE section resorted in a chronological order, duplicates removed, some minor things fixed.
msg186200 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-07 12:32
And here is a patch for 3.3.
msg186925 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-14 15:59
New changeset dbb943399c9b by Serhiy Storchaka in branch '2.7':
Issue #17221: Resort Misc/NEWS.
http://hg.python.org/cpython/rev/dbb943399c9b

New changeset 7da08495b497 by Serhiy Storchaka in branch '3.3':
Issue #17221: Resort Misc/NEWS.
http://hg.python.org/cpython/rev/7da08495b497

New changeset 6fdcea9e89a3 by Serhiy Storchaka in branch 'default':
Issue #17221: Resort Misc/NEWS.
http://hg.python.org/cpython/rev/6fdcea9e89a3
msg186926 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-14 16:12
I commit patches since no one objected.

Not all errors are corrected. There are duplicates (`cat Misc/NEWS | sort | uniq -cd | sort -n`). I'm not sure that the line "What's New in Python 3.3.1 release candidate 1?" in Misc/NEWS for 3.4 correct. The difference between 3.3 and 3.4 is more than expected (`hg diff -r 3.3 -r default Misc/NEWS`).
msg192374 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-07-05 23:21
I think this issue can be closed. :)
msg199986 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-15 09:06
New changeset 484ce82b7873 by Serhiy Storchaka in branch 'default':
Issue #17221: Merge 3.4.0 Alpha 1 entries before and after 3.3.1 release candidate 1.
http://hg.python.org/cpython/rev/484ce82b7873
History
Date User Action Args
2013-10-18 14:06:29serhiy.storchakasetstatus: open -> closed
stage: commit review -> committed/rejected
2013-10-15 09:06:55python-devsetmessages: + msg199986
2013-10-15 09:03:51serhiy.storchakasetstatus: closed -> open
2013-07-05 23:21:10christian.heimessetstatus: open -> closed

nosy: + christian.heimes
messages: + msg192374

resolution: fixed
2013-04-14 16:12:27serhiy.storchakasetmessages: + msg186926
stage: patch review -> commit review
2013-04-14 15:59:50python-devsetnosy: + python-dev
messages: + msg186925
2013-04-07 12:33:46serhiy.storchakasetversions: + Python 3.3
2013-04-07 12:32:30serhiy.storchakasetfiles: + NEWS-3.3.patch

messages: + msg186200
2013-04-07 12:31:09serhiy.storchakasetfiles: + NEWS-3.4_5.patch

messages: + msg186199
2013-04-04 00:53:12terry.reedysetfiles: + NEWS-3.4_4.diff

messages: + msg185988
2013-04-04 00:47:10terry.reedysetmessages: + msg185985
2013-04-04 00:36:15terry.reedysetnosy: + terry.reedy
messages: + msg185983
2013-04-03 23:46:29ezio.melottilinkissue17506 dependencies
2013-04-03 23:43:43ezio.melottisetmessages: + msg185979
2013-02-18 17:32:19serhiy.storchakasetfiles: + NEWS-3.4_3.patch

messages: + msg182330
2013-02-18 17:03:58gregory.p.smithsetmessages: + msg182328
2013-02-18 15:04:57serhiy.storchakasetnosy: + gregory.p.smith
2013-02-18 15:01:00sbtsetmessages: + msg182325
2013-02-18 13:11:01serhiy.storchakasetmessages: + msg182319
2013-02-18 12:47:41pitrousetmessages: + msg182318
2013-02-18 12:14:53sbtsetnosy: + sbt
messages: + msg182317
2013-02-18 11:16:11serhiy.storchakasetfiles: + NEWS-3.4_2.patch

messages: + msg182313
2013-02-18 04:18:29ned.deilysetnosy: + ned.deily
messages: + msg182295
2013-02-17 22:07:38pitrousetnosy: + pitrou
messages: + msg182287
2013-02-17 21:15:41serhiy.storchakacreate